Package ru.bitel.bgbilling.modules.voice.common.bean.report

# Class SessionDetailReportItem

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionDetailReportItem

public class SessionDetailReportItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionDetailReportItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getCost()`
  `String`
  `getDestination()`
  `int`
  `getDuration()`
  `int`
  `getDurationRound()`
  `String`
  `getNumberA()`
  `String`
  `getNumberB()`
  `Date`
  `getSessionStart()`
  `boolean`
  `isSpanned()`
  `SessionDetailReportItem`
  `setCost(BigDecimal cost)`
  `SessionDetailReportItem`
  `setDestination(String destination)`
  `SessionDetailReportItem`
  `setDuration(int duration)`
  `SessionDetailReportItem`
  `setDurationRound(int roundedDuration)`
  `SessionDetailReportItem`
  `setNumberA(String numberA)`
  `SessionDetailReportItem`
  `setNumberB(String numberB)`
  `SessionDetailReportItem`
  `setSessionStart(Date sessionStart)`
  `void`
  `setSpanned(boolean spanned)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionDetailReportItem

    public SessionDetailReportItem()

- ## Method Details

  - ### getSessionStart

    public Date getSessionStart()

  - ### setSessionStart

    public SessionDetailReportItem setSessionStart(Date sessionStart)

  - ### getDestination

    public String getDestination()

  - ### setDestination

    public SessionDetailReportItem setDestination(String destination)

  - ### getNumberA

    public String getNumberA()

  - ### setNumberA

    public SessionDetailReportItem setNumberA(String numberA)

  - ### getNumberB

    public String getNumberB()

  - ### setNumberB

    public SessionDetailReportItem setNumberB(String numberB)

  - ### getDuration

    public int getDuration()

  - ### setDuration

    public SessionDetailReportItem setDuration(int duration)

  - ### getDurationRound

    public int getDurationRound()

  - ### setDurationRound

    public SessionDetailReportItem setDurationRound(int roundedDuration)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public SessionDetailReportItem setCost(BigDecimal cost)

  - ### isSpanned

    public boolean isSpanned()

  - ### setSpanned

    public void setSpanned(boolean spanned)